My Project

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Typedefs Groups Pages
Public Member Functions | List of all members
NexPicture Class Reference
Nextion Component

`#include <NexPicture.h>`

Inheritance diagram for NexPicture:

## Public Member Functions
| NexPicture (uint8_t pid, uint8_t cid, const char *name)
bool | Get_background_image_pic (uint32_t *number)
bool | Set_background_image_pic (uint32_t number)
bool | getPic (uint32_t *number)
bool | setPic (uint32_t number)
Public Member Functions inherited from NexTouch
| NexTouch (uint8_t pid, uint8_t cid, const char *name)
void | attachPush (NexTouchEventCb push, void *ptr=NULL)
void | detachPush (void)
void | attachPop (NexTouchEventCb pop, void *ptr=NULL)
void | detachPop (void)
Public Member Functions inherited from NexObject
| NexObject (uint8_t pid, uint8_t cid, const char *name)
void | printObjInfo (void)

## Additional Inherited Members
Static Public Member Functions inherited from NexTouch
static void | iterate (NexTouch **list, uint8_t pid, uint8_t cid, int32_t event)
Protected Member Functions inherited from NexObject
uint8_t | getObjPid (void)
uint8_t | getObjCid (void)
const char * | getObjName (void)

## Detailed Description

NexPicture component.

## Constructor & Destructor Documentation

NexPicture::NexPicture | ( | uint8_t | pid,
|  | uint8_t | cid,
|  | const char * | name
| ) |  |

Constructor.

Parameters

  pid | - page id.
  cid | - component id.
  name | - pointer to an unique name in range of all components.

## Member Function Documentation

bool NexPicture::Get_background_image_pic | ( | uint32_t * | number | ) |

Get picture's number.

Parameters

  number | - an output parameter to save picture number.

Return values

  true | - success.
  false | - failed.

bool NexPicture::getPic | ( | uint32_t * | number | ) |

Get picture's number.

Parameters

  number | - an output parameter to save picture number.

Return values

  true | - success.
  false | - failed.

bool NexPicture::Set_background_image_pic | ( | uint32_t | number | ) |

Set picture's number.

Parameters

  number | -the picture number.

Return values

  true | - success.
  false | - failed.

bool NexPicture::setPic | ( | uint32_t | number | ) |

Set picture's number.

Parameters

  number | -the picture number.

Return values

  true | - success.
  false | - failed.

The documentation for this class was generated from the following files:

- NexPicture.h
- NexPicture.cpp